View Issue Details

IDProjectCategoryView StatusLast Update
0000655madVRbugpublic2020-12-26 00:45
Reporterhuhn Assigned Tomadshi  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSwin 10OS Version19041
Summary0000655: madVR trys to use HDR with HLG metadata
Descriptionthe internal mpc-be filter send HDR HLG metadata to madVR and madVR actually try to use it as HDR10:

VIDEOINFOHEADER2:
dwInterlaceFlags: 0x00000081
dwCopyProtectFlags: 0x00000000
dwPictAspectRatioX: 16
dwPictAspectRatioY: 9
dwControlFlags: 0x82422581
- VideoChromaSubsampling: 5 (MPEG-2)
- NominalRange : 2 (16-235)
- VideoTransferMatrix : 4 (BT.2020)
- VideoLighting : 0
- VideoPrimaries : 9 (BT.2020)
- VideoTransferFunction : 16 (ARIB STD-B67 (HLG))
dwReserved2: 0x00000000

the result is a very very bright image which i highly doubt is correct.
Steps To Reproduceplay an HLG file with MPC-BE internal filter.
done that'S all it will even trigger HDR->SDR conversation.
Additional Informationi currently have the stable 0.92.17 but there are reports of 114 with the same "issue".
TagsNo tags attached.
madVR Version92.17
Media Player (with version info)mpc-be 1.5.6.5763
Splitter (with version info)1.5.6.5763
Decoder (with version info)1.5.6.5763
DecodingDXVA2 Native
Deinterlacingnone (progressive)
DXVA2 Scaling Activeyes
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerAMD
GPU Model5700 XT
GPU Driver Version2020.12.1

Activities

madshi

2020-12-26 00:08

administrator   ~0002762

Should be fixed in the latest test builds (see AVSForum).

huhn

2020-12-26 00:45

reporter   ~0002763

fixed thanks.

if you didn't notice mpc-be mpcVR added HLG to HDR10 with great success:
https://github.com/Aleksoid1978/VideoRenderer/blob/0.5.0/Shaders/d3d11/ps_convert_hlg_to_pq.hlsl

i will inform nev that your renderer now excepts HLG metadata correctly so he doesn't have to block it for madVR anymore.

Issue History

Date Modified Username Field Change
2020-12-10 18:26 huhn New Issue
2020-12-14 09:17 madshi Assigned To => madshi
2020-12-14 09:17 madshi Status new => assigned
2020-12-26 00:08 madshi Note Added: 0002762
2020-12-26 00:08 madshi Status assigned => resolved
2020-12-26 00:08 madshi Resolution open => fixed
2020-12-26 00:45 huhn Note Added: 0002763
2020-12-26 00:45 huhn Status resolved => closed